"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanFormData = scanFormData;
const detectorUtils_1 = require("../utils/functions/detectorUtils");
function scanFormData(formData, options) {
    const issues = [];
    const { keys, values } = options;
    formData.forEach((value, key) => {
        const valueString = value.toString();
        if (keys) {
            (0, detectorUtils_1.checkDetectors)(key, key, issues, options, true); // Scan form data keys
        }
        if (values) {
            (0, detectorUtils_1.checkDetectors)(valueString, key, issues, options); // Scan form data values
        }
    });
    return issues;
}
//# sourceMappingURL=scanFormData.js.map