import { checkDetectors } from '../utils/functions/detectorUtils';
import { ScanOptions } from './interfaces/ITScanOptions';

export function scanFormData(
  formData: FormData,
  options: ScanOptions,
): string[] {
  const issues: string[] = [];
  const { keys, values } = options;

  formData.forEach((value, key) => {
    const valueString = value.toString();

    if (keys) {
      checkDetectors(key, key, issues, options, true); // Scan form data keys
    }

    if (values) {
      checkDetectors(valueString, key, issues, options); // Scan form data values
    }
  });

  return issues;
}
